package com.hzya.frame.sys.apireflection.entity;

import java.util.List;

/**
 * @Description 参数属性
 * @Author xiangerlin
 * @Date 2023/8/2 15:32
 **/
public class ParameterPropertyDTO {
    private String id;
    private Integer index;
    private String parameterName;
    private String sorts;
    private String parameterType;
    private String concreteType;
    private String length;
    private Boolean required;
    private String example;
    private String description;
    private List<ParameterPropertyDTO> children;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getParameterName() {
        return parameterName;
    }

    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }

    public String getSorts() {
        return sorts;
    }

    public void setSorts(String sorts) {
        this.sorts = sorts;
    }

    public String getParameterType() {
        return parameterType;
    }

    public void setParameterType(String parameterType) {
        this.parameterType = parameterType;
    }

    public String getConcreteType() {
        return concreteType;
    }

    public void setConcreteType(String concreteType) {
        this.concreteType = concreteType;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public String getExample() {
        return example;
    }

    public void setExample(String example) {
        this.example = example;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<ParameterPropertyDTO> getChildren() {
        return children;
    }

    public void setChildren(List<ParameterPropertyDTO> children) {
        this.children = children;
    }
}
